此内容没有您所选择的语言版本。

Chapter 25. immutability_policy


25.1. createOrgImmutabilityPolicy

POST /api/v1/organization/{orgname}/immutabilitypolicy/

Authorizations: oauth2_implicit (org:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'

25.2. createRepositoryImmutabilityPolicy

POST /api/v1/repository/{repository}/immutabilitypolicy/

Authorizations: oauth2_implicit (repo:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X POST "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'

25.3. deleteOrgImmutabilityPolicy

DELETE /api/v1/organization/{orgname}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (org:admin)

Responses

Expand
HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.4. deleteRepositoryImmutabilityPolicy

DELETE /api/v1/repository/{repository}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (repo:admin)

Responses

Expand
HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X DELETE "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.5. getOrgImmutabilityPolicy

GET /api/v1/organization/{orgname}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (org:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.6. getRepositoryImmutabilityPolicy

GET /api/v1/repository/{repository}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (repo:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.7. listOrgImmutabilityPolicies

GET /api/v1/organization/{orgname}/immutabilitypolicy/

Authorizations: oauth2_implicit (org:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>"

25.8. listRepositoryImmutabilityPolicies

GET /api/v1/repository/{repository}/immutabilitypolicy/

Authorizations: oauth2_implicit (repo:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>"

25.9. updateOrgImmutabilityPolicy

PUT /api/v1/organization/{orgname}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (org:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X PUT "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'

25.10. updateRepositoryImmutabilityPolicy

PUT /api/v1/repository/{repository}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (repo:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X PUT "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'
Red Hat logoGithubredditYoutubeTwitter

学习

尝试、购买和销售

社区

关于红帽文档

通过我们的产品和服务,以及可以信赖的内容,帮助红帽用户创新并实现他们的目标。 了解我们当前的更新.

让开源更具包容性

红帽致力于替换我们的代码、文档和 Web 属性中存在问题的语言。欲了解更多详情,请参阅红帽博客.

關於紅帽

我们提供强化的解决方案,使企业能够更轻松地跨平台和环境(从核心数据中心到网络边缘)工作。

Theme

© 2026 Red Hat
返回顶部